package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

public class GoodsQuery {

    @ApiModelProperty(value = "商品类型", required = false)
    private String type;

    @ApiModelProperty(value = "客户端展示分部")
    private Integer studentShowOrganId;

    @ApiModelProperty(value = "教务端展示分部")
    private Integer educationShowOrganId;

    @ApiModelProperty(value = "课程收费团展示分部")
    private Integer courseFeeShowOrganId;

    @ApiModelProperty(value = "会员收费团展示分部")
    private Integer memberFeeShowOrganId;

    @ApiModelProperty(value = "乐器置换展示分部")
    private Integer replacementShowOrganId;

    @ApiModelProperty(value = "分部")
    private Integer organId;

    private Integer subjectId;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getStudentShowOrganId() {
        return studentShowOrganId;
    }

    public void setStudentShowOrganId(Integer studentShowOrganId) {
        this.studentShowOrganId = studentShowOrganId;
    }

    public Integer getEducationShowOrganId() {
        return educationShowOrganId;
    }

    public void setEducationShowOrganId(Integer educationShowOrganId) {
        this.educationShowOrganId = educationShowOrganId;
    }

    public Integer getCourseFeeShowOrganId() {
        return courseFeeShowOrganId;
    }

    public void setCourseFeeShowOrganId(Integer courseFeeShowOrganId) {
        this.courseFeeShowOrganId = courseFeeShowOrganId;
    }

    public Integer getMemberFeeShowOrganId() {
        return memberFeeShowOrganId;
    }

    public void setMemberFeeShowOrganId(Integer memberFeeShowOrganId) {
        this.memberFeeShowOrganId = memberFeeShowOrganId;
    }

    public Integer getReplacementShowOrganId() {
        return replacementShowOrganId;
    }

    public void setReplacementShowOrganId(Integer replacementShowOrganId) {
        this.replacementShowOrganId = replacementShowOrganId;
    }
}
